VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
ReferenceCounted< T > Class Template Reference
Inheritance diagram for ReferenceCounted< T >:

## Public Member Functions
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
Reference Counting Methods
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Constructor & Destructor Documentation

ReferenceCounted | ( |  | ) |
| default

virtual ~ReferenceCounted | ( |  | ) |
| virtual default noexcept

ReferenceCounted | ( | const ReferenceCounted< T > & |  | ) |
| inline

## Member Function Documentation

void forget | ( |  | ) |
| inline override virtual

decrease refcount and delete object if refcount == 0

Implements IReference.

virtual int32_t getNbReference | ( |  | ) | const
| inline virtual

get refcount

ReferenceCounted& operator= | ( | const ReferenceCounted< T > & |  | ) |
| inline

void remember | ( |  | ) |
| inline override virtual

increase refcount

Implements IReference.

The documentation for this class was generated from the following file:

- vstguibase.h